Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.nnet
Class MultiLayerPerceptron

    java.lang.Object
      java.util.Observable
          org.neuroph.core.NeuralNetwork
              org.neuroph.nnet.MultiLayerPerceptron

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable

    public class MultiLayerPerceptron

extends NeuralNetwork

Multi Layer Perceptron neural network with Back propagation learning algorithm.

See Also:
  `BackPropagation`, `MomentumBackpropagation`, Serialized Form

Constructor Summary
`MultiLayerPerceptron(int... neuronsInLayers)`
`MultiLayerPerceptron(TransferFunctionType transferFunctionType, int... neuronsInLayers)`
`MultiLayerPerceptron(java.util.Vector<java.lang.Integer> neuronsInLayers)` Creates new MultiLayerPerceptron with specified number neurons in getLayersIterator
`MultiLayerPerceptron(java.util.Vector<java.lang.Integer> neuronsInLayers, NeuronProperties neuronProperties)` Creates new MultiLayerPerceptron net with specified number neurons in getLayersIterator
`MultiLayerPerceptron(java.util.Vector<java.lang.Integer> neuronsInLayers, TransferFunctionType transferFunctionType)`

Method Summary

Methods inherited from class org.neuroph.core.NeuralNetwork
`addLayer, addLayer, addPlugin, calculate, createConnection, getInputNeurons, getLayerAt, getLayers, getLayersCount, getLayersIterator, getLearningRule, getNetworkType, getOutput, getOutputAsArray, getOutputNeurons, getPlugin, indexOf, learn, learnInNewThread, learnInNewThread, learnInSameThread, learnInSameThread, load, notifyChange, randomizeWeights, removeLayer, removeLayerAt, removePlugin, reset, run, save, setInput, setInput, setInputNeurons, setLearningRule, setNetworkType, setOutputNeurons, stopLearning, toString`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultiLayerPerceptron

    public MultiLayerPerceptron(java.util.Vector<java.lang.Integer> neuronsInLayers)

  Creates new MultiLayerPerceptron with specified number neurons in getLayersIterator

  Parameters:
    `neuronsInLayers` - collection of neuron number in getLayersIterator

### MultiLayerPerceptron

    public MultiLayerPerceptron(int... neuronsInLayers)

### MultiLayerPerceptron

    public MultiLayerPerceptron(TransferFunctionType transferFunctionType,
                                int... neuronsInLayers)

### MultiLayerPerceptron

    public MultiLayerPerceptron(java.util.Vector<java.lang.Integer> neuronsInLayers,
                                TransferFunctionType transferFunctionType)

### MultiLayerPerceptron

    public MultiLayerPerceptron(java.util.Vector<java.lang.Integer> neuronsInLayers,
                                NeuronProperties neuronProperties)

  Creates new MultiLayerPerceptron net with specified number neurons in getLayersIterator

  Parameters:
    `neuronsInLayers` - collection of neuron numbers in layers
    `neuronProperties` - neuron propreties

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD